/*
Theme Name: iSAQB SAF Child
Theme URI: http://wolkenhart.com
Description: iSAQB SAF Child is a child theme of Hello Elementor, created by Webagentur Wolkenhart.
Author: Webagentur Wolkenhart - Dev.: Jan Brendemühl
Author URI: http://wolkenhart.com
Template: hello-elementor
Version: 2.0.0
Text Domain: isaqb-saf
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*
 * Variables
 */
:root {
	--isaqb-text-color: #707070;
	--isaqb-text-color-light: #fff;
	--isaqb-background-light: #f2f2f2;
	--isaqb-border-light: #cecece;
	--isaqb-color-orange: #ff8900;
	--isaqb-color-orange-hover: #cf6400;
	--isaqb-color-blue: #4D48FF;
	--isaqb-color-darkblue: #333396;
	--isaqb-text-size: 18px;
	--isaqb-text-lineheight: 1.3em;

	--isaqb-text: var(--isaqb-text-color);
	--isaqb-dark: var(--isaqb-text-color);
	--isaqb-lightgrey:  var(--isaqb-background-light);;
	--isaqb-text-dark: #000;
	--isaqb-orange: var(--isaqb-color-orange);
	--isaqb-orange-light: #F6C172;
	--isaqb-purple: #6e598d;
	--isaqb-rose: #d77e77;
	--isaqb-white: #fff;
	--isaqb-hint: #ffe900;
	--isaqb-alert: #d72f2e;
}
@media sceen and (min-width: 768px) {
	:root {
		--isaqb-text-size: 20px;
		--isaqb-text-lineheight: 1.3em;
	}
}

html {
	font-size: 18px;
}
@media screen and (min-width: 768px) {
	html {
		font-size: 20px;
	}
}


/*
 * Pagination
 */
.elementor-pagination .page-numbers.current {
	background-color: var(--isaqb-color-orange) !important;
	-webkit-border-radius: 23px;
	-moz-border-radius: 23px;
	border-radius: 23px;
	padding: 8px;
	line-height: 30px;
	border: 0 none;
}
.elementor-pagination a.page-numbers:hover {
	color: var(--isaqb-color-orange) !important;
}

/*
 * Forms
 */
.formrow {
	margin-block-start: 1.777rem;
}

/* CF7 specific */
body .wpcf7-form-control,
body .wpcf7-form-control-wrap{
	display: block;
}
.wpcf7-not-valid-tip {
	color: var(--isaqb-color-orange);
	font-weight: 400;
}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
	border: 1px solid var(--isaqb-color-orange);
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
}
body .wpcf7-list-item {
	margin-left: 0;
	display: block;
}
.wpcf7-list-item-label a {
	color: var(--isaqb-color-orange);
}
.wpcf7-list-item-label a:hover {
	color: var(--isaqb-color-orange-hover);
}


/* Fields  */
/* Fix for input type=search on safari */
input[type="search"] {
	-webkit-appearance: textfield;
}

input[type=text], input[type=email], input[type=tel], input[type=password], input[type=number], input[type=url], input[type=search], input[type=phone], input[type=date], input.input-text,
body .wpcf7-form input[type=text], body .wpcf7-form input[type=email], body .wpcf7-form input[type=tel], body .wpcf7-form input[type=password], body .wpcf7-form input[type=number], body .wpcf7-form input[type=url],
body .wpcf7-form input[type=search], body .wpcf7-form input[type=phone], body .wpcf7-form input[type=date], body .wpcf7-form input.input-text {
	display: inline-block;
	position: relative;
	padding: 15px;
	margin: 6px 0 0;
	border: 1px solid var(--isaqb-border-light);
	background: var(--isaqb-background-light);
	color: var(--isaqb-text-color) !important;
	width: 100%;
	max-width: 100%;
	font-size: var(--isaqb-text-size);
	line-height: var(--isaqb-text-lineheight);
	vertical-align: top;
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
}

textarea, body .wpcf7-form textarea {
	position: relative;
	padding: 15px;
	margin: 6px 0 0;
	border: 1px solid var(--isaqb-border-light);
	background: var(--isaqb-background-light);
	color: var(--isaqb-text-color) !important;
	overflow: auto;
	width: 100%;
	max-width: 100%;
	font-size: var(--isaqb-text-size);
	line-height: var(--isaqb-text-lineheight);
	vertical-align: top;
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
}

select, body .wpcf7-form select {
	position: relative;
	padding: 15px 45px 15px 15px;
	margin: 6px 0 0;
	border: 1px solid var(--isaqb-border-light);
	background: var(--isaqb-background-light);
	color: var(--isaqb-text-color) !important;
	width: 100%;
	max-width: 100%;
	font-size: var(--isaqb-text-size);
	line-height: var(--isaqb-text-lineheight);
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;
	vertical-align: top;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	/*background: var(--isaqb-text-color-light) url("assets/images/icon-angle-down.svg") right 15px center / 25px no-repeat;*/
}

select[multiple], body .wpcf7-form select[multiple] {
	padding: 4px 12px;
	height: 84px;
}

option, body .wpcf7-form option {
	color: var(--isaqb-text-color);
	padding: 12px 6px;
	border: 0 none;
}

input:focus, textarea:focus, select:focus, body .wpcf7-form input:focus, body .wpcf7-form textarea:focus, body .wpcf7-form select:focus {
	border-color: var(--isaqb-color-orange);
}

input[type=range], body .wpcf7-form input[type=range] {
	appearance: none;
	width: 100%;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	height: 12px;
	border: 1px solid var(--isaqb-border-light);
	background-color: var(--isaqb-background-light);
}
input[type=range]::-webkit-slider-thumb, body .wpcf7-form input[type=range]::-webkit-slider-thumb {
	appearance: none;
	background: var(--isaqb-color-orange);
	border: 2px solid var(--isaqb-color-orange);
	width: 30px;
	height: 30px;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	cursor: pointer;
}

input[type=range]::-moz-range-thumb, body .wpcf7-form input[type=range]::-moz-range-thumb {
	background: var(--isaqb-color-orange);
	border: 2px solid var(--isaqb-color-orange);
	width: 30px;
	height: 30px;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	cursor: pointer;
}

body ::-webkit-input-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }
body :-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }
body ::-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; } /* firefox 19+ */
body :-ms-input-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; } /* ie */
body input:-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }

body textarea::-webkit-input-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }
body textarea:-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }
body textarea::-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; } /* firefox 19+ */
body textarea:-ms-input-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; } /* ie */
body textarea:-moz-placeholder { color: var(--isaqb-text-color) !important; font-style: normal; font-size: var(--isaqb-text-size); line-height: var(--isaqb-text-lineheight); opacity: 1; }

/* Checkbox */
label > input[type=checkbox], body .wpcf7-form label > input[type=checkbox] {
	position: absolute;
	clip: rect(1px, 1px, 1px, 1px);
	padding: 0;
	border: 0;
	height: 1px;
	width: 1px;
	overflow: hidden;
}
input[type=checkbox] + .wpcf7-list-item-label {
	display: block;
	padding-left: 40px;
	position: relative;
	cursor: pointer;
}
input[type=checkbox] + .wpcf7-list-item-label:before {
	content: "";
	display: block;
	position: absolute;
	left: 0;
	top: 3px;
	width: 30px;
	height: 30px;
	background-color: var(--isaqb-background-light);
	border: 2px solid var(--isaqb-border-light);
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
}
input[type=checkbox]:focus + .wpcf7-list-item-label:before {
	border-color: var(--isaqb-color-orange);
}
input[type=checkbox]:checked + .wpcf7-list-item-label:before {
	border-color: var(--isaqb-color-orange);
	background: var(--isaqb-color-orange) url('../images/checkmark.svg') center / 24px no-repeat;
}

/* Radio */
label > input[type=radio], body .wpcf7-form label > input[type=radio] {
	position: absolute;
	clip: rect(1px, 1px, 1px, 1px);
	padding: 0;
	border: 0;
	height: 1px;
	width: 1px;
	overflow: hidden;
}
input[type=radio] + .wpcf7-list-item-label {
	display: block;
	padding-left: 40px;
	position: relative;
	cursor: pointer;
}
input[type=radio] + .wpcf7-list-item-label:before {
	content: "";
	display: block;
	position: absolute;
	left: 0;
	top: 3px;
	width: 30px;
	height: 30px;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	background-color: var(--isaqb-background-light);
	border: 2px solid var(--isaqb-border-light);
}
input[type=radio]:focus + .wpcf7-list-item-label:before {
	border-color: var(--isaqb-color-orange);
}
input[type=radio]:checked + .wpcf7-list-item-label:before {
	border-color: var(--isaqb-text-color-light);
	background: var(--isaqb-color-orange);
}

/* Submit */
body .wpcf7-form input[type="submit"] {
	background-color: var(--isaqb-color-orange) !important;
}
body .wpcf7-form input[type="submit"]:hover {
	background-color: var(--isaqb-color-orange-hover) !important;
}
button.isaqbses-button,
body a.isaqbses-button,
body .site-content .entry-content button.isaqbses-button,
body .site-content .entry-content a.isaqbses-button,
button.isaqbses-button:focus,
body a.isaqbses-button:focus,
body .site-content .entry-content button.isaqbses-button:focus,
body .site-content .entry-content a.isaqbses-button:focus {
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	color: var(--isaqb-text-color-light);
}
button.isaqbses-button:hover,
body a.isaqbses-button:hover,
body .site-content .entry-content button.isaqbses-button:hover,
body .site-content .entry-content a.isaqbses-button:hover {
	color: var(--isaqb-color-orange) !important;
}

/**
 * Page Title
 */
.isaqb-pagetitle {
	background: var(--isaqb-color-darkblue);
	margin-bottom: 50px;
	padding-block-end: var(--padding-block-end);
	padding-block-start: var(--padding-block-start);
}
.ipt-content {
	width: 100%;
	max-width: 1200px;
	margin: 0 auto;
	padding: 20px 0 30px;
	padding-inline-end: var(--padding-inline-end);
	padding-inline-start: var(--padding-inline-start);
}
h1.ipt-sitetitle,
h2.ipt-sitetitle,
h3.ipt-sitetitle,
h4.ipt-sitetitle,
h5.ipt-sitetitle,
h6.ipt-sitetitle,
p.ipt-sitetitle,
p.ipt-subtitle {
	color: var(--isaqb-text-color-light);
	text-align: center;
}
h1.ipt-sitetitle,
h2.ipt-sitetitle,
h3.ipt-sitetitle,
h4.ipt-sitetitle,
h5.ipt-sitetitle,
h6.ipt-sitetitle,
p.ipt-sitetitle {
	font-family: var( --e-global-typography-9d0077c-font-family ), Sans-serif;
	font-size: var( --e-global-typography-9d0077c-font-size );
	font-weight: var( --e-global-typography-9d0077c-font-weight );
	line-height: var( --e-global-typography-9d0077c-line-height );
}
p.ipt-subtitle {
	font-family: var( --e-global-typography-3d1e2bb-font-family ), Sans-serif;
	font-size: var( --e-global-typography-3d1e2bb-font-size );
	font-weight: 400;
	line-height: var( --e-global-typography-3d1e2bb-line-height );
}

/**
 * Pretix Ticket Booking
 */
.pretix-widget-wrapper .pretix-widget {
	border: 0 none;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	padding: 20px;
	background: var(--isaqb-background-light);
}
body .pretix-widget-wrapper input[type=text]{
	background: #fff !important;
	line-height: 18px;
	height: 48px;
}
body .pretix-widget-wrapper input.pretix-widget-item-count-multiple {
	background: #fff !important;
	border-radius: 0 !important;
	margin: 0;
	line-height: 18px;
	height: 48px;
}
body .pretix-widget-wrapper .pretix-widget-voucher-button-wrap{
	padding-top: 6px;
}
body .pretix-widget-wrapper button {
	font-size: 18px;
	font-weight: 400;
	line-height: 1.444em;
	letter-spacing: 0px;
	color: var( --e-global-color-secondary );
	border-style: solid;
	border-width: 1px 1px 1px 1px;
	border-color: var( --e-global-color-accent );
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	padding: 10px 30px 10px 30px;
	background-color: var(--isaqb-color-orange) !important;
}
body .pretix-widget-wrapper button:hover {
	border-style: solid;
	border-width: 1px 1px 1px 1px;
	border-color: var( --e-global-color-accent );
	background-color: var(--isaqb-color-orange-hover) !important;
}
body .pretix-widget .pretix-widget-item-count-dec,
body .pretix-widget .pretix-widget-item-count-inc {
	color: #fff !important;
	padding: 0 10px;
	line-height: 48px;
}
body .pretix-widget .pretix-widget-item-count-group button span {
	line-height: 48px;
	vertical-align: initial;
}
body .pretix-widget .pretix-widget-item-count-dec,
body .pretix-widget .pretix-widget-item-count-dec:hover {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
	border: 0 none;
}
body .pretix-widget .pretix-widget-item-count-inc,
body .pretix-widget .pretix-widget-item-count-inc:hover {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
	border: 0 none;
}
body .pretix-widget a, .pretix-widget-alert-box a {
	color: var(--isaqb-color-orange);
}
@media screen and (min-width: 1024px) {
	.pretix-widget-wrapper .pretix-widget {
		padding: 60px;
	}
}

/**
 * Sessionize Plugin
 */
.isaqbses-daynav .isaqbses-datelink,
form.isaqbses-form select,
body .isaqbses-session-speakers img,
.speaker-card img,
.isaqbses-speaker-single footer {
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
}
body .isaqbses-container h1.isaqbses-title,
.isaqbses-session-single header h1 {
	font-family: var( --e-global-typography-9d0077c-font-family ), Sans-serif;
	font-size: var( --e-global-typography-9d0077c-font-size );
	font-weight: var( --e-global-typography-9d0077c-font-weight );
	line-height: var( --e-global-typography-9d0077c-line-height );
}

/* Speaker overview */
.isaqbses-speakers-grid .isaqbses-speaker-link img {
	margin-bottom: 26px;
}
.isaqbses-speakers-grid h6.isaqbses-spitem-title {
	font-size: 1.3rem;
	font-weight: 800;
	line-height: 1.7rem;
}
.isaqbses-speakers-grid p.isaqbses-spitem-tagline {
	font-size: 0.9rem;
	line-height: 1.1rem;
	color: var(--isaqb-text-color);
}
.isaqbses-speakers-grid a:hover p.isaqbses-spitem-tagline {
	color: var(--isaqb-color-orange);
}
.isaqbses-session-profilelinks,
.isaqbses-session-meta span.isaqbses-room {
	font-size: 0.9rem;
	line-height: 1.1rem;
}

/* Program overview */
body .isaqbses-container h1.isaqbses-title {
	color: var(--isaqb-text-color);
}
body .isaqbses-container h5 {
	font-size: 1.3rem;
	font-weight: 800;
	line-height: 1.7rem;
	color: var(--isaqb-text-color);
}
h5#filter-aside-title,
h1#filter-heading {
	text-transform: none;
}
form.isaqbses-form select {
	padding: 15px 10px;
}
.isaqbses-daynav .isaqbses-datelink:hover,
.isaqbses-daynav .isaqbses-datelink.active {
	color: var(--isaqb-text-color-light);
}
.session-teaser .isaqbses-session-meta. .isaqbses-room {
	font-size: 0.9rem;
	line-height: 1.3rem;
}
body h4.isaqbses-sessiontitle {
	font-size: 1.3rem;
	font-weight: 800;
	line-height: 1.7rem;
}
body h4.isaqbses-sessiontitle a {
	color: var(--isaqb-text-color);
}
.isaqbses-session-profilelinks a {
	font-size: 1rem;
	line-height: 1.3rem;
	color: var(--isaqb-text-color);
}
body h4.isaqbses-sessiontitle a:hover,
.isaqbses-session-profilelinks a:hover {
	color: var(--isaqb-color-orange);
	text-decoration: none !important;
}
form.isaqbses-form a.isaqbses-reset-filter:hover {
	color: var(--isaqb-text-color);
	text-decoration: none !important;
}
@media screen and (min-width: 768px) {
	.isaqbses-grid.isaqbses-filter {
		grid-template-rows: auto auto;
	}
}

/* Session */
.isaqbses-session-single,
.isaqbses-speaker-single {
	margin-bottom: 100px;
}
a.isaqbses-button-left:before {
	border-right-color: var(--isaqb-text-color-light);
}
a.isaqbses-button-left:hover:before {
	border-right-color: var(--isaqb-color-orange);
}
a.isaqbses-button-right:before {
	border-left-color: var(--isaqb-text-color-light);
}
a.isaqbses-button-right:hover:before {
	border-left-color: var(--isaqb-color-orange);
}
.speaker-card figcaption {
	font-style: normal;
	font-weight: 400;
	color: var(--isaqb-text-color);
}
ul.isaqbses-sessioninfo, ul.isaqbses-sessiontags {
	padding: 0;
}
ul.isaqbses-sessioninfo li i {
	top: 4px;
}

/* Speaker single */
body .isaqbses-container p, body .isaqbses-container ul, body .isaqbses-container ol, body .isaqbses-container li {
	font-size: 1rem;
	line-height: 1.3em;
}

















